Browse Source

Improve removepyc script

Ask Solem 13 years ago
parent
commit
9136df63a2
1 changed files with 2 additions and 2 deletions
  1. 2 2
      contrib/release/removepyc.sh

+ 2 - 2
contrib/release/removepyc.sh

@@ -1,3 +1,3 @@
 #!/bin/bash
 #!/bin/bash
-find "${1:-.}" -name "*.pyc" | xargs rm
-find "${1:-.}" -name "*\$py.class" | xargs rm
+(cd "{$1:-.}";
+        find . -name "*.pyc" | xargs rm -- 2>/dev/null) || echo "ok"